TwoPartyDealFlow.Acceptor
Keywords: net.corda.finance.flows.TwoPartyDealFlow.Acceptor class
Date: 2023-09-18

net.corda.finance.flows

## Class TwoPartyDealFlow.Acceptor

- net.corda.finance.flows.TwoPartyDealFlow.Acceptor

- Enclosing class:
    TwoPartyDealFlow

      public static class TwoPartyDealFlow.Acceptor

  One side of the flow for inserting a pre-agreed deal.

- - ### Constructor Detail

    - #### Acceptor

          public Acceptor(@NotNull
                          FlowSession otherSideSession,
                          @NotNull
                          ProgressTracker progressTracker)

      One side of the flow for inserting a pre-agreed deal.

      Parameters:
        `progressTracker` -

        Override this to provide a `class ProgressTracker`. If one is provided and stepped, the framework will do something helpful with the progress reports e.g record to the audit service. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

        Note that this has to return a tracker before the flow is invoked. You can't change your mind half way through.

  - ### Method Detail

    - #### validateHandshake

          @NotNull
          protected net.corda.finance.flows.TwoPartyDealFlow.Handshake<net.corda.finance.flows.TwoPartyDealFlow.AutoOffer> validateHandshake(@NotNull
                                                                                                                                                      net.corda.finance.flows.TwoPartyDealFlow.Handshake<net.corda.finance.flows.TwoPartyDealFlow.AutoOffer> handshake)

    - #### assembleSharedTX

          @NotNull
          protected kotlin.Triple<net.corda.core.transactions.TransactionBuilder,java.util.List,java.util.List> assembleSharedTX(@NotNull
                                                                                                                                          net.corda.finance.flows.TwoPartyDealFlow.Handshake<net.corda.finance.flows.TwoPartyDealFlow.AutoOffer> handshake)

    - #### getOtherSideSession

          @NotNull
          public FlowSession getOtherSideSession()

    - #### getProgressTracker

          @NotNull
          public ProgressTracker getProgressTracker()

      Override this to provide a `class ProgressTracker`. If one is provided and stepped, the framework will do something helpful with the progress reports e.g record to the audit service. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

      Note that this has to return a tracker before the flow is invoked. You can't change your mind half way through.

      See Also:
        `class ProgressTracker`